- name: create LogDir 
  ansible.builtin.file:
    path: /var/log/afi
    state: directory
    group: ansible
    mode: '0775'

- name: Touch LogFIle
  ansible.builtin.file:
    path: /var/log/afi/cron.log
    state: touch
    owner: ansible
    mode: u=rw,g=rw,o=rw

- name: install cron job (ansible-pull)
  cron:
    user: ansible
    name: "ansible provision"
    minute: "*/10"
    job: "/usr/bin/ansible-pull -o -U https://git.famsachs.me/ansible/pull/default.git > /var/log/afi/cron.log 2>&1"
